Subject: Re: [homegate] Current Draft Charter - Feedback Needed

From: Jason Livingood <[email-masked]>
Date: Thu, 04 Feb 2010 14:41:14 -0500

Good feedback.

Note to list  I am following up under separate cover with Kevin regarding
ITU and IEEE involvement.

Jason

On 2/2/10 8:37 PM, "Kevin Mason" <[email-masked]> wrote:

> A comment on your charter and proposed work form a remote observer.
>  
> AS an introduction I am the Rapporteur for Question 11 of Study group 12 at
> the ITU so have an interest in working with relevant groups in the IETF and
> elsewhere on matters relating to service performance across demarcation
> boundaries. The interworking between the home network and the WAN is a very
> important such boundary.
>  
> An area that you may wish to encompass in your study relates to congestion
> management and in particular the need to be able to assure service quality
> across the first mile link for latency and loss sensitive applications. This
> is often referred to admission control.
>  
> AT present the principle architectural assumptions in the work of most
> standards bodies, as far as I am aware, for service assurance of IP flows
> across the last mile is that service assurance would occur by reservations
> from a centralised network policy function that would push  reservations to
> edge devices such as the gateway and the access node it is connecting to in
> response to a request via a centralised SIP session controller. However even
> in this scenario I have not seen anybody specify what protocol would be used
> for this communication. Whilst this may work for sessions established via
> network based SIP proxies, it does not enable applications not using such SIP
> proxies to reserve and release last mile capacity if required to assure low
> loss and low latency for a flow. The only devices that need to be fully aware
> of all flows between the gateway and the first mile access node are those
> devices themselves so there appears to be some logic in these two devices
> being able to directly negotiate this as required. If the gateway sits behind
> a network termination unit at the home then this device may also need to
> participate in the last mile WAN reservation process.
>  
> Within the home network the IEEE have recognised this issue for video
> streaming and are addressing this through the Audio/Video Bridging Task Group
> http://www.ieee802.org/1/pages/avbridges.html. IT can be expected that a
> gateway may need to be aware of this and participate in it on the LAN side if
> this work gains market acceptance. The issue is however that quality assured
> flows over the WAN last mile may also need such reservation mechanisms for RTP
> streams to/from outside the home. Beyond the immediate access link more
> aggregated mechanisms (rather than per flow reservations)  may be more
> efficient but the limited transmission resources over the last mile will
> continue to need to be more carefully managed per flow for service assurance.
>  
> So an alternative approach to the highly centralised SIP proxy based Policy
> admission control function, is a more localized interaction between the
> gateway and the immediately adjacent service provider access node it is
> connected to, to communicate and reserve last mile capacity in response to a
> request by any device/application within the home.
>  
> So I make the following comments;
>  
> 1/ You may wish to invite the IEEE Audio/Video Bridging Task Group to your
> proposed interim meeting
> 2/ I would encourage you to consider whether your charter should consider
> candidate protocols and recommended implementation for reservation of
> bandwidth over the last mile.
>  
> 
> 
> Regards
>  
>                  
>   Kevin Mason   
>   Principal Solution Architect
>   T 
>  M 
>  E   +64 4 382 5299 (extn 45299)
>  +64 27 445 9202 
>  [email-masked]
>   Level 1 - Unit 1, Telecom Centre, 49-55 Tory Street
> P O Box 293, Wellington, New Zealand 6140
>  www.telecom.co.nz <http://www.telecom.co.nz/>
>  
>  
>    
> 
>  
>  
>  This communication, including any attachments, is confidential. If you are
> not the intended recipient, you should not read it - please contact me
> immediately, destroy it, and do not copy or use any part of this communication
> or disclose anything about it. Thank you. Please note that this communication
> does not designate an information system for the purposes of the Electronic
> Transactions Act 2002.
>  
>  
> 
> 
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Jason Livingood
> Sent: Wednesday, 3 February 2010 7:29 a.m.
> To: [email-masked]
> Subject: [homegate] Current Draft Charter - Feedback Needed
>  
> We have received virtually no feedback since the BoF on the charter.  The
> charter is on the homegate wiki now, at:
> http://trac.tools.ietf.org/area/tsv/trac/wiki/HOMEGATE
> 
> Action items / requests:
> 1  Please review the charter at
> http://trac.tools.ietf.org/area/tsv/trac/wiki/HOMEGATE
> 2  Please reply to this mailing list as follows:
>     a  Charter looks good / no changes
>     b  I¹d like to propose change X / Y / Z to the charter
> 
> Thanks!
> Jason